body {
    background-color: #2A2F33;
    color: azure;
}
        
#thumbnail {
    display: none;
}
        
#postbox {
    float: top;
    width: 80%;
    min-height: 500px;
    background-color: transparent;
    margin-left: auto;
    margin-right: auto;
}
        
.post {
    float: left;
    width: 22%;
    height: 50%;
    background-color: #2A2F33;
    padding-right: 2.5%;
    word-wrap: break-word;
}
        
.post img {
    width:100%;
    height: 45%;
    aspect-ratio: 16/9;
    object-fit: contain;
}
        
.post h2 {
    height: 13%;
    width: 100%;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    color: azure;
}
        
.post p {
    height: 20%;
    width: 100%;
    white-space: pre-line;
    text-overflow: ellipsis;
    overflow: hidden;
}
        
.upload_file {
    display: none;
}

#unity_upload {
    display: block;
}

@media only screen and (max-width: 1120px) {
    h1 {margin-left: auto; margin-right: auto;}
    
    .post {
        float: none;
        width: 100%;
        height: 25%;
    }
    
    .post img {
        float: left;
        min-width: 80px;
        min-height: 45px;
        width: 160px;
        height: 90px;
    }
    
    .post h2 {
        float:top;
        width: 75%;
        height: 15%;
        font-size: 15px;
    }
    
    .post p {
        float: top;
        width: 75%;
        height: 25%;
        font-size: 13px;
    }
}
